ข้ามไปยังเนื้อหา

GPT Image 2 API · Edit

ผสานการทำงาน

ID โมเดล openai/gpt-image-2/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.222 222 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
OpenAI แก้ไขภาพ #gpt-image-2#openai#chatgpt-images-2

การแก้ไขด้วย GPT Image 2 รองรับภาพอ้างอิงสูงสุด 16 ภาพและมาสก์ที่เป็นตัวเลือก

OpenAI · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น 88 / 32000

พรอมต์ที่ใช้สร้างรูปภาพ

•จำเป็น image_urls
วางไฟล์ หรือ · สูงสุด 16

URL รูปภาพอ้างอิงสำหรับการสร้าง จำกัดไม่เกิน 16 รูปภาพ

image_size ค่าเริ่มต้น auto

ขนาดเอาต์พุต ซึ่งอนุมานจากรูปภาพที่ส่งมาเมื่อกำหนดเป็น 'auto'

num_images ค่าเริ่มต้น 1

จำนวนรูปภาพที่จะสร้าง

ขั้นสูง mask · background · quality · output_format · enable_safety_checker
mask_url
วางไฟล์ หรือ

URL ของรูปภาพหน้ากากที่ระบุบริเวณที่จะแก้ไขระหว่างการสร้าง

background ค่าเริ่มต้น auto

พื้นหลังของรูปภาพผลลัพธ์

quality ค่าเริ่มต้น high

การเลือกคุณภาพรูปภาพ รวมถึง 'auto' เพื่อให้โมเดลเลือกคุณภาพที่ดีที่สุดตามพรอมต์

output_format ค่าเริ่มต้น png

รูปแบบไฟล์ของรูปภาพเอาต์พุต

POST /run/openai/gpt-image-2/edit?wait=20 ใบเสนอราคา → $0.222
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/openai/gpt-image-2/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ GPT Image 2 API · Edit

แก้ไขหรือประกอบภาพจาก URL สูงสุด 16 รายการใน `image_urls` โดยใช้พรอมป์ที่มีความยาวสูงสุด 32000 อักขระ `mask_url` จำกัดการแก้ไขให้อยู่ในบริเวณที่กำหนด `image_size` มีค่าเริ่มต้นเป็น auto ซึ่งอนุมานขนาดจากอินพุต คุณภาพมีตั้งแต่ auto ถึง high และส่งออกได้สูงสุด 4 ภาพในรูปแบบ png, jpeg หรือ webp

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
≤ 32,000 อักขระ≥ 2 อักขระ
พรอมต์ที่ใช้สร้างรูปภาพ
image_urlsจำเป็น images
ประเภทurl[] · image
≤ 16 รายการ
URL รูปภาพอ้างอิงสำหรับการสร้าง จำกัดไม่เกิน 16 รูปภาพ
image_sizeไม่บังคับ
ประเภทobject
ค่าเริ่มต้นauto
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto
ขนาดเอาต์พุต ซึ่งอนุมานจากรูปภาพที่ส่งมาเมื่อกำหนดเป็น 'auto'
backgroundไม่บังคับ
ประเภทenum
ค่าเริ่มต้นauto
autotransparentopaque
พื้นหลังของรูปภาพผลลัพธ์
qualityไม่บังคับ
ประเภทenum
ค่าเริ่มต้นhigh
autolowmediumhigh
การเลือกคุณภาพรูปภาพ รวมถึง 'auto' เพื่อให้โมเดลเลือกคุณภาพที่ดีที่สุดตามพรอมต์
num_imagesไม่บังคับ num_outputs
ประเภทinteger
ค่าเริ่มต้น1
1 – 4
จำนวนรูปภาพที่จะสร้าง
output_formatไม่บังคับ
ประเภทenum
ค่าเริ่มต้นpng
jpegpngwebp
รูปแบบไฟล์ของรูปภาพเอาต์พุต
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
mask_urlไม่บังคับ mask
ประเภทurl · image
URL ของรูปภาพหน้ากากที่ระบุบริเวณที่จะแก้ไขระหว่างการสร้าง
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "openai/gpt-image-2/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 222,
    "usd": "0.222",
    "charged": 222,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่โมเดลสร้าง

โมเดลเพิ่มเติม: แก้ไขภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/openai/gpt-image-2/edit.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt